function [ objvalue, indLL ] = obj01( theta )

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% This .m file calculate the simulated log likelihood function %%%
%%% value given the parameter 'theta.'                           %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%% Part(1): Some preparations for this program

    % Defining the global variables 
        global allDE num W12 allXc allXd
        
    % Renaming the parameters 
        beta_c = theta( 1:num.CreMean + 1)';
        beta_d = theta(num.CreMean + 2:num.base)';


%% Part(2): Constructing log likelihood contribution for each individual %%
           % For more detailed for this section, see below comments. %

    % Calculating the individual Likelihood contribution for S times

        % STEP-1: Making a matrix of utilities
            allUT      = ones(num.alltrans,3);
            allUT(:,1) = 1;
            allUT(:,2) = exp( allXc*beta_c );
            allUT(:,3) = exp( allXd*beta_d );
       
        % STEP-2: Making a matrix of Choice Probabilities
            allCP = allUT ./ ( allUT*ones(3,3) );
    
        % STEP-3: Making a vector of predicted prob. chosen in data 
            VecCP = allCP.*allDE*ones(3,1);

            
%% Part(3): Constructing objective function value %%
    
    % Step-1: Deriving each individual loglikelihood contributions
    %         (This is useful for calculating the standard errors!)
        indLL = log(VecCP);
    
    % Step-2: Summing indLL over N to calculate objective function value
        objvalue = -W12'*indLL;
        disp( objvalue );
        
        
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% END OF M FILE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%