function C = weightedvar(Ys, w)


load('t_ind');

%This code calculates the variance of the mean 
%simulations are clustered in observations
%the weight of simulated value is the weight of the observations it is
%clustered in
%The variance estimator is the variance estimator for ratio estimator
%total(Y)/pop.size
%where the populations size is estimated as the sum of weights
%note that weights do not vary within clusters

%input 
%Ys: matrix of simulated values of size(s, n)
%s: number of simulations 
%n: number of observations
%w: vector of pweights for observations size n
% 
if  size(Ys, 2)==1
    Ys= Ys';
end
s = size(Ys, 1);
t_ind =  t_ind(w >0);
ws =repmat(w(w>0)',s,1);
Ysi= ws.*Ys(:, w>0);




for i=1:s
    
Y(:, i)=accumarray(t_ind, Ysi(i, :), [], @sum);
X(:, i)=accumarray(t_ind, ws(i, :), [], @sum);
end;


if s>1
Y = mean(Y, 2);
X = mean(X,2 );
end
nh= size(Y,1);
Y = reshape(Y, nh,1);
X = reshape(X, nh,1);
SY = sum(Y);
SX = sum(X);

R = SY/SX;

V = (nh - 1)*cov([Y, X]);




C = 1/(SX.^2) *(V(1,1) - 2*R*V(1,2) + R^2*V(2,2));





